Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-gdtextutil: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 15:54:50 +0200

---
 main/perl-gdtextutil/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/perl-gdtextutil/APKBUILD
diff --git a/main/perl-gdtextutil/APKBUILD b/main/perl-gdtextutil/APKBUILD
new file mode 100644
index 0000000..7b05b35
--- /dev/null
+++ b/main/perl-gdtextutil/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-gdtextutil
+_pkgreal=GDTextUtil
+pkgver=0.86
+pkgrel=0
+pkgdesc="text utilities for GD"
+url="http://search.cpan.org/dist/GDTextUtil/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-gd"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="941ad06eadc86b47f3a32da405665c41  GDTextUtil-0.86.tar.gz"
+sha256sums="886ecbf85cfe94f4135ee5689c4847a9ae783ecb99e6759e12c734f2dd6116bc  GDTextUtil-0.86.tar.gz"
+sha512sums="0c503df81249b0b53a8e87d65f684cf7ff01184ef1fc0166d2f295332d4cb553b6b714f42d6915cd0798f899213cd9cffef12bd30f5fcab0abfa4d0be97c8b18  GDTextUtil-0.86.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 15:54:50 GMT